@import "@assets/themes/themify.utils.scss";
@import "~/themes.scss";

$shape-top-x: -3px;
$shape-top-y: -48px;
$shape-top-rotation: -46deg;

.column-head {
  position: relative;
  width: 70px;
  height: 40px;

  .bottom.disabled,
  .top.disabled,
  .status.disabled {
    cursor: not-allowed;
  }

  &:hover {
    .bottom,
    .top {
      cursor: pointer;
    }
  }

  .bottom {
    position: absolute;
    bottom: 0;
    height: 40px;
    width: inherit;
  }

  .status {
    position: absolute;
    bottom: 0;
    height: 4px;
    width: inherit;
  }

  .top {
    position: absolute;
    bottom: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 50px;
    width: 140px;
    transform:
      translateX($shape-top-x)
      translateY($shape-top-y)
      rotateZ($shape-top-rotation);
  }

  .title,
  .subtitle {
    overflow: hidden;
    text-rendering: optimizelegibility;
    padding-left: 5px;
    padding-right: 5px;
    user-select: none;
    white-space: nowrap;
    text-overflow: ellipsis;
  }

  .subtitle {
    font-size: 12px;
  }

  .title {
    font-size: 14px;
    line-height: 1em;
  }
}

@include themify("column-head", $themes) {
  font-family: themed("font-family");

  .bottom,
  .top {
    background-color: themed("panel-background");
  }

  &:hover {
    .bottom,
    .top {
      background-color: themed("panel-background-hovered");
    }
  }

  .top.selected,
  .bottom.selected {
    background-color: themed("panel-background-selected");
  }

  .status {
    background-color: themed("text-secondary");

    &.status-focus {
      background-color: themed("status-focus");
    }

    &.status-active {
      background-color: themed("status-active");
    }

    &.status-danger {
      background-color: themed("status-danger");
    }

    &.status-busy {
      background-color: themed("status-busy");
    }
  }

  .top {
    border-top-right-radius: 10px;
  }

  .subtitle {
    color: themed("text-secondary");
  }

  .title {
    color: themed("text-primary");
  }
}
